# Class: Deserializers

## Deserializers

#### new Deserializers

  Deserializers for various types

  Source:
    - deserializers.js, line 8

### Methods

#### <static> decodeAscii

  Decodes for Ascii

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 70

  ##### Returns:

  The ascii value decoded from the binary string
  Type
    String

#### <static> decodeBinary

  Does binary decoding

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 25

  ##### Returns:

  a buffer containing the bytes decoded from the string
  Type
    Buffer

#### <static> decodeBoolean

  Decodes a boolean type

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 111

  ##### Returns:

  The boolean value decoded from the binary string
  Type
    Boolean

#### <static> decodeDate

  Decodes a Date object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 130

  ##### Returns:

  The date value decoded from the binary string
  Type
    Date

#### <static> decodeDouble

  Decode a Double Precision Floating Point Type

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 83

  ##### Returns:

  The number value decoded from the binary string
  Type
    Number

#### <static> decodeFloat

  Decode a Single Precision Floating Point Type

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 97

  ##### Returns:

  The number value decoded from the binary string
  Type
    Number

#### <static> decodeInt32

  Decodes a 32bit Unsinged Integer

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 48

  ##### Returns:

  The number value decoded from the binary string
  Type
    Number

#### <static> decodeLong

  Decodes a Long (UInt64)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 39

  ##### Returns:

  The number value decoded from the binary string
  Type
    Number

#### <static> decodeTimeUUID

  Decodes a TimeUUID Object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 157

  ##### Returns:

  The uuid value decoded from the binary string
  Type
    TimeUUID

#### <static> decodeUTF8

  Decodes for UTF8

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 57

  ##### Returns:

  The utf8 value decoded from the binary string
  Type
    String

#### <static> decodeUUID

  Decodes a UUID Object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `val` | String | The binary string to decode

  Source:
    - deserializers.js, line 144

  ##### Returns:

  The uuid value decoded from the binary string
  Type
    UUID